diff --git a/src/util/domain_info_utils.c b/src/util/domain_info_utils.c
index 9d7bb5f..6a0a69e 100644
--- a/src/util/domain_info_utils.c
+++ b/src/util/domain_info_utils.c
@@ -68,7 +68,7 @@ bool subdomain_enumerates(struct sss_domain_info *parent,
     if (parent->sd_enumerate == NULL
             || parent->sd_enumerate[0] == NULL) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Subdomain_enumerate not set\n"));
+              "Subdomain_enumerate not set\n");
         return false;
     }
 
@@ -153,15 +153,15 @@ find_subdomain_by_object_name(struct sss_domain_info *domain,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return NULL;
     }
 
     ret = sss_parse_name(tmp_ctx, domain->names, object_name,
                          &domainname, &name);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to parse name '%s' [%d]: %s\n",
-                                    object_name, ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to parse name '%s' [%d]: %s\n",
+                                    object_name, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -189,37 +189,37 @@ struct sss_domain_info *new_subdomain(TALLOC_CTX *mem_ctx,
     struct sss_domain_info *dom;
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Creating [%s] as subdomain of [%s]!\n", name, parent->name));
+          "Creating [%s] as subdomain of [%s]!\n", name, parent->name);
 
     dom = talloc_zero(mem_ctx, struct sss_domain_info);
     if (dom == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_zero failed.\n");
         return NULL;
     }
 
     dom->parent = parent;
     dom->name = talloc_strdup(dom, name);
     if (dom->name == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to copy domain name.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to copy domain name.\n");
         goto fail;
     }
 
     dom->provider = talloc_strdup(dom, parent->provider);
     if (dom->provider == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to copy provider name.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to copy provider name.\n");
         goto fail;
     }
 
     dom->conn_name = talloc_strdup(dom, parent->conn_name);
     if (dom->conn_name == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to copy connection name.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to copy connection name.\n");
         goto fail;
     }
 
     if (realm != NULL) {
         dom->realm = talloc_strdup(dom, realm);
         if (dom->realm == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Failed to copy realm name.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Failed to copy realm name.\n");
             goto fail;
         }
     }
@@ -227,7 +227,7 @@ struct sss_domain_info *new_subdomain(TALLOC_CTX *mem_ctx,
     if (flat_name != NULL) {
         dom->flat_name = talloc_strdup(dom, flat_name);
         if (dom->flat_name == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Failed to copy flat name.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Failed to copy flat name.\n");
             goto fail;
         }
     }
@@ -235,7 +235,7 @@ struct sss_domain_info *new_subdomain(TALLOC_CTX *mem_ctx,
     if (id != NULL) {
         dom->domain_id = talloc_strdup(dom, id);
         if (dom->domain_id == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Failed to copy id.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Failed to copy id.\n");
             goto fail;
         }
     }
@@ -243,7 +243,7 @@ struct sss_domain_info *new_subdomain(TALLOC_CTX *mem_ctx,
     if (forest != NULL) {
         dom->forest = talloc_strdup(dom, forest);
         if (dom->forest == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Failed to copy forest.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Failed to copy forest.\n");
             goto fail;
         }
     }
@@ -267,7 +267,7 @@ struct sss_domain_info *new_subdomain(TALLOC_CTX *mem_ctx,
     dom->subdomain_homedir = parent->subdomain_homedir;
 
     if (parent->sysdb == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing sysdb context in parent domain.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing sysdb context in parent domain.\n");
         goto fail;
     }
     dom->sysdb = parent->sysdb;
@@ -291,18 +291,18 @@ errno_t sssd_domain_init(TALLOC_CTX *mem_ctx,
 
     ret = confdb_get_domain(cdb, domain_name, &dom);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error retrieving domain configuration.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Error retrieving domain configuration.\n");
         return ret;
     }
 
     if (dom->sysdb != NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Sysdb context already initialized.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Sysdb context already initialized.\n");
         return EEXIST;
     }
 
     ret = sysdb_domain_init(mem_ctx, dom, db_path, &sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error opening cache database.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Error opening cache database.\n");
         return ret;
     }
 
@@ -327,8 +327,8 @@ sss_krb5_touch_config(void)
     ret = utime(config, NULL);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to change mtime of \"%s\" "
-                                    "[%d]: %s\n", config, ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to change mtime of \"%s\" "
+                                    "[%d]: %s\n", config, ret, strerror(ret));
         return ret;
     }
 
@@ -355,7 +355,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
     char *uc_parent;
 
     if (domain == NULL || domain->name == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("No domain name provided\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "No domain name provided\n");
         return EINVAL;
     }
 
@@ -364,7 +364,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
 
     sanitized_domain = talloc_strdup(tmp_ctx, domain->name);
     if (sanitized_domain == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup() failed\n");
         return ENOMEM;
     }
 
@@ -384,8 +384,8 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
         goto done;
     }
 
-    DEBUG(SSSDBG_FUNC_DATA, ("Mapping file for domain [%s] is [%s]\n",
-                             domain->name, mapping_file));
+    DEBUG(SSSDBG_FUNC_DATA, "Mapping file for domain [%s] is [%s]\n",
+                             domain->name, mapping_file);
 
     tmp_file = talloc_asprintf(tmp_ctx, "%sXXXXXX", mapping_file);
     if (tmp_file == NULL) {
@@ -397,8 +397,8 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
     fd = mkstemp(tmp_file);
     umask(old_mode);
     if (fd < 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("creating the temp file [%s] for domain-realm "
-                                  "mappings failed.", tmp_file));
+        DEBUG(SSSDBG_OP_FAILURE, "creating the temp file [%s] for domain-realm "
+                                  "mappings failed.", tmp_file);
         ret = EIO;
         talloc_zfree(tmp_ctx);
         goto done;
@@ -407,13 +407,13 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
     fstream = fdopen(fd, "a");
     if (!fstream) {
         ret = errno;
-        DEBUG(SSSDBG_OP_FAILURE, ("fdopen failed [%d]: %s\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "fdopen failed [%d]: %s\n",
+                                  ret, strerror(ret));
         ret = close(fd);
         if (ret != 0) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                ("fclose failed [%d][%s].\n", ret, strerror(ret)));
+                "fclose failed [%d][%s].\n", ret, strerror(ret));
             /* Nothing to do here, just report the failure */
         }
         ret = EIO;
@@ -422,7 +422,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
 
     ret = fprintf(fstream, "[domain_realm]\n");
     if (ret < 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("fprintf failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "fprintf failed\n");
         ret = EIO;
         goto done;
     }
@@ -433,7 +433,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
         ret = fprintf(fstream, ".%s = %s\n%s = %s\n",
                                dom->name, dom->realm, dom->name, dom->realm);
         if (ret < 0) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("fprintf failed\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "fprintf failed\n");
             goto done;
         }
     }
@@ -443,7 +443,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
         parent_dom = domain;
         uc_parent = get_uppercase_realm(tmp_ctx, parent_dom->name);
         if (uc_parent == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("get_uppercase_realm failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "get_uppercase_realm failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -458,7 +458,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
 
             uc_forest = get_uppercase_realm(tmp_ctx, dom->forest);
             if (uc_forest == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("get_uppercase_realm failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "get_uppercase_realm failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -466,7 +466,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
             if (!capaths_started) {
                 ret = fprintf(fstream, "[capaths]\n");
                 if (ret < 0) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("fprintf failed\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "fprintf failed\n");
                     ret = EIO;
                     goto done;
                 }
@@ -477,7 +477,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
                                    dom->realm, uc_parent, uc_forest,
                                    uc_parent, dom->realm, uc_forest);
             if (ret < 0) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("fprintf failed\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "fprintf failed\n");
                 goto done;
             }
         }
@@ -488,7 +488,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
     if (ret != 0) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("fclose failed [%d][%s].\n", ret, strerror(ret)));
+              "fclose failed [%d][%s].\n", ret, strerror(ret));
         goto done;
     }
 
@@ -496,7 +496,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("rename failed [%d][%s].\n", ret, strerror(ret)));
+              "rename failed [%d][%s].\n", ret, strerror(ret));
         goto done;
     }
 
@@ -506,7 +506,7 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("fchmod failed [%d][%s].\n", ret, strerror(ret)));
+              "fchmod failed [%d][%s].\n", ret, strerror(ret));
         goto done;
     }
 
@@ -514,8 +514,8 @@ sss_write_domain_mappings(struct sss_domain_info *domain, bool add_capaths)
 done:
     err = sss_krb5_touch_config();
     if (err != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to change last modification time "
-              "of krb5.conf. Created mappings may not be loaded.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to change last modification time "
+              "of krb5.conf. Created mappings may not be loaded.\n");
         /* Ignore */
     }
 
@@ -524,7 +524,7 @@ done:
         if (err != 0) {
             err = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                ("fclose failed [%d][%s].\n", err, strerror(err)));
+                "fclose failed [%d][%s].\n", err, strerror(err));
             /* Nothing to do here, just report the failure */
         }
     }
@@ -534,8 +534,8 @@ done:
         if (err < 0) {
             err = errno;
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not remove file [%s]: [%d]: %s",
-                   tmp_file, err, strerror(err)));
+                  "Could not remove file [%s]: [%d]: %s",
+                   tmp_file, err, strerror(err));
         }
     }
     talloc_free(tmp_ctx);
diff --git a/src/util/find_uid.c b/src/util/find_uid.c
index 6d1478e..0c1a41f 100644
--- a/src/util/find_uid.c
+++ b/src/util/find_uid.c
@@ -74,10 +74,10 @@ static errno_t get_uid_from_pid(const pid_t pid, uid_t *uid)
 
     ret = snprintf(path, PATHLEN, "/proc/%d/status", pid);
     if (ret < 0) {
-        DEBUG(1, ("snprintf failed"));
+        DEBUG(1, "snprintf failed");
         return EINVAL;
     } else if (ret >= PATHLEN) {
-        DEBUG(1, ("path too long?!?!\n"));
+        DEBUG(1, "path too long?!?!\n");
         return EINVAL;
     }
 
@@ -85,11 +85,11 @@ static errno_t get_uid_from_pid(const pid_t pid, uid_t *uid)
     if (fd == -1) {
         error = errno;
         if (error == ENOENT) {
-            DEBUG(7, ("Proc file [%s] is not available anymore, continuing.\n",
-                      path));
+            DEBUG(7, "Proc file [%s] is not available anymore, continuing.\n",
+                      path);
             return EOK;
         }
-        DEBUG(1, ("open failed [%d][%s].\n", error, strerror(error)));
+        DEBUG(1, "open failed [%d][%s].\n", error, strerror(error));
         return error;
     }
 
@@ -97,17 +97,17 @@ static errno_t get_uid_from_pid(const pid_t pid, uid_t *uid)
     if (ret == -1) {
         error = errno;
         if (error == ENOENT) {
-            DEBUG(7, ("Proc file [%s] is not available anymore, continuing.\n",
-                      path));
+            DEBUG(7, "Proc file [%s] is not available anymore, continuing.\n",
+                      path);
             error = EOK;
             goto fail_fd;
         }
-        DEBUG(1, ("fstat failed [%d][%s].\n", error, strerror(error)));
+        DEBUG(1, "fstat failed [%d][%s].\n", error, strerror(error));
         goto fail_fd;
     }
 
     if (!S_ISREG(stat_buf.st_mode)) {
-        DEBUG(1, ("not a regular file\n"));
+        DEBUG(1, "not a regular file\n");
         error = EINVAL;
         goto fail_fd;
     }
@@ -117,7 +117,7 @@ static errno_t get_uid_from_pid(const pid_t pid, uid_t *uid)
     if (ret == -1) {
         error = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("read failed [%d][%s].\n", error, strerror(error)));
+              "read failed [%d][%s].\n", error, strerror(error));
         goto fail_fd;
     }
 
@@ -127,7 +127,7 @@ static errno_t get_uid_from_pid(const pid_t pid, uid_t *uid)
     ret = close(fd);
     if (ret == -1) {
         error = errno;
-        DEBUG(1, ("close failed [%d][%s].\n", error, strerror(error)));
+        DEBUG(1, "close failed [%d][%s].\n", error, strerror(error));
     }
 
     p = strstr(buf, "\nUid:\t");
@@ -135,7 +135,7 @@ static errno_t get_uid_from_pid(const pid_t pid, uid_t *uid)
         p += 6;
         e = strchr(p,'\t');
         if (e == NULL) {
-            DEBUG(1, ("missing delimiter.\n"));
+            DEBUG(1, "missing delimiter.\n");
             return EINVAL;
         } else {
             *e = '\0';
@@ -143,16 +143,16 @@ static errno_t get_uid_from_pid(const pid_t pid, uid_t *uid)
         num = (uint32_t) strtoint32(p, &endptr, 10);
         error = errno;
         if (error != 0) {
-            DEBUG(1, ("strtol failed [%s].\n", strerror(error)));
+            DEBUG(1, "strtol failed [%s].\n", strerror(error));
             return error;
         }
         if (*endptr != '\0') {
-            DEBUG(1, ("uid contains extra characters\n"));
+            DEBUG(1, "uid contains extra characters\n");
             return EINVAL;
         }
 
     } else {
-        DEBUG(1, ("format error\n"));
+        DEBUG(1, "format error\n");
         return EINVAL;
     }
 
@@ -180,12 +180,12 @@ static errno_t name_to_pid(const char *name, pid_t *pid)
     }
 
     if (*endptr != '\0') {
-        DEBUG(1, ("pid string contains extra characters.\n"));
+        DEBUG(1, "pid string contains extra characters.\n");
         return EINVAL;
     }
 
     if (num <= 0 || num >= INT_MAX) {
-        DEBUG(1, ("pid out of range.\n"));
+        DEBUG(1, "pid out of range.\n");
         return ERANGE;
     }
 
@@ -214,7 +214,7 @@ static errno_t get_active_uid_linux(hash_table_t *table, uid_t search_uid)
     proc_dir = opendir("/proc");
     if (proc_dir == NULL) {
         ret = errno;
-        DEBUG(1, ("Cannot open proc dir.\n"));
+        DEBUG(1, "Cannot open proc dir.\n");
         goto done;
     };
 
@@ -223,13 +223,13 @@ static errno_t get_active_uid_linux(hash_table_t *table, uid_t search_uid)
         if (only_numbers(dirent->d_name) != 0) continue;
         ret = name_to_pid(dirent->d_name, &pid);
         if (ret != EOK) {
-            DEBUG(1, ("name_to_pid failed.\n"));
+            DEBUG(1, "name_to_pid failed.\n");
             goto done;
         }
 
         ret = get_uid_from_pid(pid, &uid);
         if (ret != EOK) {
-            DEBUG(1, ("get_uid_from_pid failed.\n"));
+            DEBUG(1, "get_uid_from_pid failed.\n");
             goto done;
         }
 
@@ -241,7 +241,7 @@ static errno_t get_active_uid_linux(hash_table_t *table, uid_t search_uid)
 
             ret = hash_enter(table, &key, &value);
             if (ret != HASH_SUCCESS) {
-                DEBUG(1, ("cannot add to table [%s]\n", hash_error_string(ret)));
+                DEBUG(1, "cannot add to table [%s]\n", hash_error_string(ret));
                 ret = ENOMEM;
                 goto done;
             }
@@ -257,14 +257,14 @@ static errno_t get_active_uid_linux(hash_table_t *table, uid_t search_uid)
     }
     if (errno != 0 && dirent == NULL) {
         ret = errno;
-        DEBUG(1, ("readdir failed.\n"));
+        DEBUG(1, "readdir failed.\n");
         goto done;
     }
 
     ret = closedir(proc_dir);
     proc_dir = NULL;
     if (ret == -1) {
-        DEBUG(1, ("closedir failed, watch out.\n"));
+        DEBUG(1, "closedir failed, watch out.\n");
     }
 
     if (table != NULL) {
@@ -277,7 +277,7 @@ done:
     if (proc_dir != NULL) {
         err = closedir(proc_dir);
         if (err) {
-            DEBUG(1, ("closedir failed, bad dirp?\n"));
+            DEBUG(1, "closedir failed, bad dirp?\n");
         }
     }
     return ret;
@@ -292,7 +292,7 @@ errno_t get_uid_table(TALLOC_CTX *mem_ctx, hash_table_t **table)
                          hash_talloc, hash_talloc_free, mem_ctx,
                          NULL, NULL);
     if (ret != HASH_SUCCESS) {
-        DEBUG(1, ("hash_create_ex failed [%s]\n", hash_error_string(ret)));
+        DEBUG(1, "hash_create_ex failed [%s]\n", hash_error_string(ret));
         return ENOMEM;
     }
 
@@ -316,15 +316,15 @@ errno_t check_if_uid_is_active(uid_t uid, bool *result)
         *result = false;
     }
     if (ret < 0) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("systemd-login gave error %d: %s\n",
-                                    -ret, strerror(-ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "systemd-login gave error %d: %s\n",
+                                    -ret, strerror(-ret));
     }
     /* fall back to the old method */
 #endif
 
     ret = get_active_uid_linux(NULL, uid);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(1, ("get_uid_table failed.\n"));
+        DEBUG(1, "get_uid_table failed.\n");
         return ret;
     }
 
diff --git a/src/util/nscd.c b/src/util/nscd.c
index 6c9cc77..e73c3fa 100644
--- a/src/util/nscd.c
+++ b/src/util/nscd.c
@@ -49,7 +49,7 @@ int flush_nscd_cache(enum nscd_db flush_db)
             break;
 
         default:
-            DEBUG(1, ("Unknown nscd database\n"));
+            DEBUG(1, "Unknown nscd database\n");
             ret = EINVAL;
             goto done;
     }
@@ -59,10 +59,10 @@ int flush_nscd_cache(enum nscd_db flush_db)
     case 0:
         execl(NSCD_PATH, "nscd", NSCD_RELOAD_ARG, service, NULL);
         /* if this returns it is an error */
-        DEBUG(1, ("execl(3) failed: %d(%s)\n", errno, strerror(errno)));
+        DEBUG(1, "execl(3) failed: %d(%s)\n", errno, strerror(errno));
         exit(errno);
     case -1:
-        DEBUG(1, ("fork failed\n"));
+        DEBUG(1, "fork failed\n");
         ret = EFAULT;
         break;
     default:
@@ -76,11 +76,11 @@ int flush_nscd_cache(enum nscd_db flush_db)
                 if (ret > 0) {
                     /* The flush fails if nscd is not running, so do not care
                     * about the return code */
-                    DEBUG(8, ("Error flushing cache, is nscd running?\n"));
+                    DEBUG(8, "Error flushing cache, is nscd running?\n");
                 }
             }
         } else {
-            DEBUG(5, ("Failed to wait for children %d\n", nscd_pid));
+            DEBUG(5, "Failed to wait for children %d\n", nscd_pid);
             ret = EIO;
         }
     }
@@ -140,8 +140,8 @@ errno_t sss_nscd_parse_conf(const char *conf_path)
 
     fp = fopen(conf_path, "r");
     if (fp == NULL) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Couldn't open NSCD configuration "
-                    "file [%s]\n", NSCD_CONF_PATH));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Couldn't open NSCD configuration "
+                    "file [%s]\n", NSCD_CONF_PATH);
         return ENOENT;
     }
 
@@ -196,9 +196,9 @@ errno_t sss_nscd_parse_conf(const char *conf_path)
 
     ret = ferror(fp);
     if (ret) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Reading NSCD configuration file [%s] "
+        DEBUG(SSSDBG_MINOR_FAILURE, "Reading NSCD configuration file [%s] "
               "ended with failure [%d]: %s.\n",
-              NSCD_CONF_PATH, ret, strerror(ret)));
+              NSCD_CONF_PATH, ret, strerror(ret));
         ret = ENOENT;
         goto done;
     }
